devplugin

## Class SettingsItem

- java.lang.Object
- - devplugin.SettingsItem

-     public class SettingsItem
      extends java.lang.Object

  This Class holds a List of SettingItem-IDs. With this it's possible for Plugins to open specific Settings. E.g.: `getPluginManager().showSettings(SettingsItem.TIMEBUTTONS);`
  Since:
    2.2
  Author:
    bodum

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CENTERPANELSETUP`
    `static java.lang.String` | `CHANNELS`
    `static java.lang.String` | `CONTEXTMENU`
    `static java.lang.String` | `DATA_PLUGIN_POST_PROCESSING`
    `static java.lang.String` | `FAVORITE`
    `static java.lang.String` | `LOOKANDFEEL`
    `static java.lang.String` | `MOUSE`
    `static java.lang.String` | `PICTURES`
    `static java.lang.String` | `PLUGINPROGRAMFORMAT`
    `static java.lang.String` | `PLUGINS`
    `static java.lang.String` | `PROGRAMINFO`
    `static java.lang.String` | `PROGRAMPANELLOOK`
    `static java.lang.String` | `PROGRAMPANELMARKING`
    `static java.lang.String` | `PROGRAMTABLELOOK`
    `static java.lang.String` | `REMINDER`
    `static java.lang.String` | `SEARCH`
    `static java.lang.String` | `STARTUP`
    `static java.lang.String` | `TIMEBUTTONS`
    `static java.lang.String` | `TRAY`
    `static java.lang.String` | `TRAYONTIMEPROGRAMS`
    `static java.lang.String` | `TVDATASERVICES` Deprecated. since 3.0 use `PLUGINS` instead
    `static java.lang.String` | `WEBBROWSER`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TIMEBUTTONS

          public static final java.lang.String TIMEBUTTONS

      See Also:
        Constant Field Values

    - #### PLUGINS

          public static final java.lang.String PLUGINS

      See Also:
        Constant Field Values

    - #### TRAY

          public static final java.lang.String TRAY

      See Also:
        Constant Field Values

    - #### STARTUP

          public static final java.lang.String STARTUP

      See Also:
        Constant Field Values

    - #### PROGRAMINFO

          public static final java.lang.String PROGRAMINFO

      See Also:
        Constant Field Values

    - #### REMINDER

          public static final java.lang.String REMINDER

      See Also:
        Constant Field Values

    - #### SEARCH

          public static final java.lang.String SEARCH

      See Also:
        Constant Field Values

    - #### FAVORITE

          public static final java.lang.String FAVORITE

      See Also:
        Constant Field Values

    - #### CHANNELS

          public static final java.lang.String CHANNELS

      See Also:
        Constant Field Values

    - #### DATA_PLUGIN_POST_PROCESSING

          public static final java.lang.String DATA_PLUGIN_POST_PROCESSING

      See Also:
        Constant Field Values

    - #### WEBBROWSER

          public static final java.lang.String WEBBROWSER

      See Also:
        Constant Field Values

    - #### CONTEXTMENU

          public static final java.lang.String CONTEXTMENU

      See Also:
        Constant Field Values

    - #### LOOKANDFEEL

          public static final java.lang.String LOOKANDFEEL

      See Also:
        Constant Field Values

    - #### PLUGINPROGRAMFORMAT

          public static final java.lang.String PLUGINPROGRAMFORMAT

      See Also:
        Constant Field Values

    - #### PROGRAMPANELLOOK

          public static final java.lang.String PROGRAMPANELLOOK

      See Also:
        Constant Field Values

    - #### PROGRAMPANELMARKING

          public static final java.lang.String PROGRAMPANELMARKING

      See Also:
        Constant Field Values

    - #### PROGRAMTABLELOOK

          public static final java.lang.String PROGRAMTABLELOOK

      See Also:
        Constant Field Values

    - #### CENTERPANELSETUP

          public static final java.lang.String CENTERPANELSETUP

      See Also:
        Constant Field Values

    - #### TVDATASERVICES

          public static final java.lang.String TVDATASERVICES

      Deprecated. since 3.0 use `PLUGINS` instead
      See Also:
        Constant Field Values

    - #### PICTURES

          public static final java.lang.String PICTURES

      See Also:
        Constant Field Values

    - #### TRAYONTIMEPROGRAMS

          public static final java.lang.String TRAYONTIMEPROGRAMS

      See Also:
        Constant Field Values

    - #### MOUSE

          public static final java.lang.String MOUSE

      See Also:
        Constant Field Values

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)